{
  "trailingComma": "none",
  "tabWidth": 2,
  "useTabs": true,
  "semi": false,
  "singleQuote": true,
  "jsxSingleQuote": true,
  "arrowParens": "avoid",
  "bracketSpacing": false,
  "importOrderSeparation": true,
  "importOrderSortSpecifiers": true,
  "importOrder": [
    "<THIRD_PARTY_MODULES>",
    "^@api/(.*)$",
    "^@app/(.*)$",
    "^@components/(.*)$",
    "^@config/(.*)$",
    "^@constants/(.*)$",
    "^@hooks/(.*)$",
    "^@services/(.*)$",
    "^@shared/(.*)$",
    "^@store/(.*)$",
    "^@utils/(.*)$",
    "^@ui/(.*)$",
    "^../(.*)$",
    "^./(.*)$",
    "^[./]"
  ],
  "overrides": [
    {
      "files": "*.test.js",
      "options": {
        "semi": true
      }
    },
    {
      "files": [
        "*.html",
        "legacy/**/*.js"
      ],
      "options": {
        "tabWidth": 4
      }
    }
  ],
  "plugins": [
    "@trivago/prettier-plugin-sort-imports",
    "prettier-plugin-tailwindcss"
  ]
}
